Stanza Matchers
===============

The Basic Matcher
-----------------
.. module:: slixmpp.xmlstream.matcher.base

.. autoclass:: MatcherBase
    :members:


ID Matching
-----------
.. module:: slixmpp.xmlstream.matcher.id

.. autoclass:: MatcherId
    :members:


Stanza Path Matching
--------------------
.. module:: slixmpp.xmlstream.matcher.stanzapath

.. autoclass:: StanzaPath
    :members:


XPath
-----
.. module:: slixmpp.xmlstream.matcher.xpath

.. autoclass:: MatchXPath
    :members:


XMLMask
-------
.. module:: slixmpp.xmlstream.matcher.xmlmask

.. autoclass:: MatchXMLMask
    :members:
